Skip to content

Gets all of the group application processes in the system.

Request

This method will scan all group application processes and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/groupApplicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The group application processeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
account_delegation_process_idstring(Account Delegation Process)required

If set, the process used for account deletion if the group admin wants to join/renew members they do not own

checkout_settingsobject(Checkout Settings)required
contact_form_idstring(Contact Form)^rolodex-contacts__.*required

The contact form to show to group administrators when they are registering individuals

contact_role_idsArray of strings(Contact Roles)required

The contact roles that can perform group registration

descriptionstring(Description)

Description to display in the portal

display_in_portalboolean(Display In Portal)

Whether or not to hide in the portal

display_in_portal_asstring(Display In Portal As)

How to display this process in the portal

eligibility_criteriaobject(Eligibility Criteria)required

The criteria for eligibility

enable_account_delegationboolean(Enable Account Delegation)

If set, then group administrators can request to be delegates for contacts not tied to their organization

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

If set, only certain people/organizations can use this process

enable_tiered_discountsboolean(Enable Tiered Discounts)

If set, tiered discounts are enabled

group_administrator_confirmation_emailobject(Group Administrator Confirmation Email)required
group_administrator_instructionsstring(Group Administrator Instructions)required

Instructions to show to group administrators

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this group application process

is_activeboolean(Is Active)

Whether or not this group application process is active

membership_package_idsArray of strings(Membership Packages)required

The membership packages that are applicable to this process

membership_type_idsArray of strings(Membership Types)required

The membership types that are applicable to this process

namestring(Name)required

The name of the group application process

override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

restrict_to_specific_contact_rolesboolean(Restrict To Specific Contact Roles)

If true, only certain contact roles can perform group registration

restrict_to_specific_membership_packagesboolean(Restrict To Specific Membership Packages)

If true, only certain membership packages are applicable to this process

restrict_to_specific_membership_typesboolean(Restrict To Specific Membership Types)

If true, only certain membership types are applicable to this process

send_confirmation_email_to_group_administratorboolean(Send Confirmation Email To Group Administrator)

If true, an email is sent to the administrator of the group once registration is complete

show_instructions_to_group_administratorsboolean(Show Instructions To Group Administrators)

If set, group administrators see instructions

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tiered_discount_rulesArray of objects, non-emptyrequired
]
Response
[ { "account_delegation_process_id": "string", "checkout_settings": { … }, "contact_form_id": "string", "contact_role_ids": [ … ], "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "eligibility_criteria": { … }, "enable_account_delegation": true, "enable_eligibility_criteria": true, "enable_tiered_discounts": true, "group_administrator_confirmation_email": { … }, "group_administrator_instructions": "string", "id": "string", "is_active": true, "membership_package_ids": [ … ], "membership_type_ids": [ … ], "name": "string", "override_checkout_settings": true, "restrict_to_specific_contact_roles": true, "restrict_to_specific_membership_packages": true, "restrict_to_specific_membership_types": true, "send_confirmation_email_to_group_administrator": true, "show_instructions_to_group_administrators": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tiered_discount_rules": [ … ] } ]